Capsule API Example

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
CNFB.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CError.h"`
`#include "CNFBCalibrator.h"`

Go to the source code of this file.

## Classes
struct | clCNFB_UserState
| User state, determined by NFB classifier. More...

## Typedefs
typedef enum clCNFB_CallResult | clCNFB_CallResult
| NFB call result.
typedef struct clCNFB_UserState | clCNFB_UserState
| User state, determined by NFB classifier.
typedef void(* | clCNFB_UserStateChangedHandler) (clCNFB, const clCNFB_UserState *) NOEXCEPT
typedef void(* | clCNFB_ErrorHandler) (clCNFB, const char *) NOEXCEPT

## Enumerations
enum | clCNFB_CallResult { clCNFB_CallResult_Success , clCNFB_CallResult_FailedToSendData }
| NFB call result. More...

## Functions
| CLC_CLASS_WN (ClassificationNFBPrivate, clCNFB)
CL_DLL clCNFB | clCNFB_Create (clCDevice device, clCError *error) NOEXCEPT
CL_DLL clCNFB | clCNFB_CreateCalibrated (clCDevice device, clCNFBCalibrator calibrator, clCError *error) NOEXCEPT
CL_DLL void | clCNFB_SetOnUserStateChangedEvent (clCNFB nfb, clCNFB_UserStateChangedHandler handler) NOEXCEPT
CL_DLL void | clCNFB_SetOnErrorEvent (clCNFB nfb, clCNFB_ErrorHandler handler) NOEXCEPT

## Typedef Documentation

## ◆ clCNFB_CallResult

typedef enum clCNFB_CallResult clCNFB_CallResult

NFB call result.

## ◆ clCNFB_ErrorHandler

typedef void(* clCNFB_ErrorHandler) (clCNFB, const char *) NOEXCEPT

## ◆ clCNFB_UserState

typedef struct clCNFB_UserState clCNFB_UserState

User state, determined by NFB classifier.

## ◆ clCNFB_UserStateChangedHandler

typedef void(* clCNFB_UserStateChangedHandler) (clCNFB, const clCNFB_UserState *) NOEXCEPT

## Enumeration Type Documentation

## ◆ clCNFB_CallResult

enum clCNFB_CallResult

NFB call result.

Enumerator
clCNFB_CallResult_Success | Call has finished successfully.
clCNFB_CallResult_FailedToSendData | Failed to send data, session might not be active.

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationNFBPrivate | ,
|  | clCNFB | )

## ◆ clCNFB_Create()

CL_DLL clCNFB clCNFB_Create | ( | clCDevice | device,
|  | clCError * | error )

Create a NFB classifier.

Parameters

  | device | device handle. Valid device must be passed
  [out] | error | error parameter

Returns
  NFB handle.

## ◆ clCNFB_CreateCalibrated()

CL_DLL clCNFB clCNFB_CreateCalibrated | ( | clCDevice | device,
|  | clCNFBCalibrator | calibrator,
|  | clCError * | error )

Create a NFB classifier after individual NFB has calibrated.

Parameters

  device | device handle. Valid device must be passed
  calibrator | NFB calibrator handle. A calibrated calibrator must be passed.
  error | out error parameter

Returns
  NFB handle.

## ◆ clCNFB_SetOnErrorEvent()

CL_DLL void clCNFB_SetOnErrorEvent | ( | clCNFB | nfb,
|  | clCNFB_ErrorHandler | handler )

## ◆ clCNFB_SetOnUserStateChangedEvent()

CL_DLL void clCNFB_SetOnUserStateChangedEvent | ( | clCNFB | nfb,
|  | clCNFB_UserStateChangedHandler | handler )